Introduction

HTML Help for Color LIFE Sound 4.0

Color LIFE Sound for Windows

HTML Help Hyperlinks:

Game-introduction:

Color LIFE Sound knows no winners and losers, sometimes also no end.

Nevertheless, it has itself develops, incipient under his original name " LIFE ", in the last decades with the climbed abilities in the area of the PC to an interesting, interactive graphic game with scientific background.

The scientific background is based on the reproductive-behavior of microorganisms (cells).

One can imagine the reproductive-rules in Color LIFE Sound on a checkered sheet of paper:

each rectangle marked with a circle is a living microorganism
without marking, the rectangle becomes here further named empty-field

A cell has eight neighbor-fields consequently:

per two horizontally and vertically and four diagonally

The fate of this microorganism, that is the rule, now depends from the number of the cells in its neighbor-fields:

it dies of "loneliness" if no one or only another cell is in the eight neighbor-fields.

It "suffocates" if it is surrounded from four or more cells.

it survives if it is surrounded from two or three cells.

when an empty-field has exactly three neighbor-cells, a new microorganism is born in this empty-field.

Another look emerges consequently through unique applying of the arithmetic-rules on the game field busy with microorganisms. One speaks also of a new generation.

Two simple examples should clarify the arithmetic-rules further:

Generation 0    1.Generation
(Input-pattern)

    O                O
    OOO              OO
                      O
2.Generation   3.Generation
                 (constant)

    OO               OO
    OO              O  O
    OO               OO

(2. Example)
Generation 0    1.Generation

    O   O          OOO OOO
   OOO OOO         OOO OOO
                    O   O

2.Generation ... 58.Generation

    O   O
   O O O O   ...    died

   OOO OOO

Idea of the game is, to let beautiful graphic patterns originate from as simple as possible initially-patterns in the following generations, which itself surprising develops.

To this, Color LIFE Sound offers you comfortable support:

the graphic-dialog offers possibilities about the output-mode, the background-color with affiliated color-palette or to vary the cell-size.

The Generations dialog-window enables to determine the incremental width and minimum-time of the indicated generations and the arithmetic-rule itself again.

You can let originate with the inputs of the shape-dialog-window through a multiple change of the arithmetic-rule within a course complex microorganisms or can look for new, remarkable arithmetic-rules.

In the colors - and Palette-dialog-window, the color-like look of the generations is influenced for the game-course. The attitudes of the color-dialog influences also the sound-output.

The sounds-dialog makes possible the sound-output. Twenty four sounds are selected individually or simultaneously and are played in dependence on the represented generation. On this occasion, the output-mode, area-depth and the bar can be varied.

With the Tone Graphics-dialog can be done the course of the tone-output graphically visible.

To this you experience closer details over the context-help in the dialog-windows (? - key or right mouse-button), or over the content-button in the help-application.

You can manipulate also the current generation:

to this you simply choose "cell-input" in the Color LIFE menu or either operate the right mouse-button or the F2-key and place the cursor with the mouse or the cursor-buttons on the game field-position that you would like to alter. By activity of the left mouse-button or the blank-key, an existing cell is removed at this position or a new cell is born in an empty-field.

In the status-line, the cell-coordinates are shown for additional control.

You start the game-course subsequent over the menu through the retraction from „pause “or „cell-input“ as well as "generation 0 input" or more quickly with the F2-key.

To the conclusion of the short introduction still some cell-patterns, that behave with the standard arithmetic-rule (Leben2,3 Neue3) remarkably:

  Block  signaler   traveling-pattern
                    (Incremental width 4 Generations)

   OO      OOO        OOO
   OO                   O
                       O

alternating      pattern A

    O
    O                 OOO
    O               OOO
   OOO            OOO
    O
    O
    O

pattern B          pattern C

   OOO
    O
    O                 OO
    O               OOOOO
    O
   OOO

Can you declare even further, interestingly running input-patterns also for other arithmetic-rules ?

Much fun with it !

jk-ware, Dipl. -Ing. Reinhard Jakob

HTMLHelp may be free copied


Menu-commands

Menu-selection

Main-menu Color LIFE

- Generation 0 input ! (*):

deletes all Cells available on the game field and switches the program-status to input with a cell-diameter of 16.

(*)These commands stand additionally in the Popup-Menu to the selection, that is opened with the right mouse-button.

- Cell-input (*):

completes a still current arithmetic-process and makes possible a change of the generation with the left mouse-button, the blank-key and the return-key as a result.

The menu-command can be selected more quickly with the F2-key.

- Sound (*; only with Color LIFE Sound):

starts the sound-output of the represented generation.

- Generation > print ... (*):

opens the standard-dialog-window with the choice to the unique printing work-direction.

After clasps of the dialog-window with the OK-button, the current generation is passed out to the connected and furnished printer.

The process of the data-production can be broken off with the keys Escape, Pause and Space.

With a faulty or unsatisfied generation-output, you use please following alternatives for the output of the generation to the printer:

1. Insert the Color LIFE Sound-window into the Clipboard with Alt+Print. From the Clipboard, the generation can be inserted with a graphic-program, for example Paint, further-processed and printed out.

2. Produce a bitmap-file of the generation with the menu-point generation>save..., (see below). The processing and output of this bitmap can be planned with a graphic-program then.

- Generation > Save ... (*):

opens the standard-dialog-window " file save as... " to the input of a file name.

Into this file, the currently indicated generation is stored as bitmap.

The process of the data-production can be broken off with the buttons Escape, Pause and Space.

- Pause (*):

finishes the calculation of new generations and prevents a change of the cell-pattern. If the Checkbox “continously” is marked in the „Palette“-Dialog-window, the same generation is represented with a consecutive color-palette continuously.

The menu-command can be selected also with the Pause-key.

The pause-status can be canceled only with the menu-selection again.

- End ! :

finishes Color LIFE Sound

Hint: With the completion of Color LIFE Sound, the current program-attitudes are stored into the Windows-registry and are read with the next program-start again. From this is excluded the cell-diameter, that is put variably after each program-start (checkbox "variable" is marked and "<1" demarked) and the checkboxes "continuously" and "Color dialog" of the Palettes-Dialog-window. For the group of the myself-defined colors, all basis-colors are stored with their shade-values.

Course... and representation... (*)

Dialog-windows are shown within two Property Sheets, whose internal choices is expounded with the in the Property Sheet integrated context-help (F1-key), ? -Button or right mouse-button, or altogether with the help-button.

Main-menu Help

- Language>English / German / Spanish / Portuguese / Italian / French

Language-selection of the operator-interface and the HTML-Help system

- Language>Help system>English / German / Spanish / Portuguese / Italian / French / other

Language-selection of the HTML-Help system. For „other“ can be tied in even further HTML Help-texts under the filename ClifeSound4_0_other.chm .

- Introduction F1:

General game-description of Color LIFE Sound

- Menu-commands:

this Help-text

- about ... :

shows a dialog-window with information to Color LIFE Sound


Memory-sharing

Memory-request

The memory-demand of Color LIFE Sound is dependent on

  1. the window-size in connection with the cell-size put in the graphic-dialog-box and
  2. the current scope of the generation

with what the bigger value of both decisive is.

Examples:

1.the window-size after the start of Color LIFE Sound amounts to 498*444 pixels.
The cell-size amounts then to 16*16 pixels, through which is busy 20*20 pixels with a gap to the next cell.

Hereby, 498/20+30 columns and 444/20+30 lines are required for the Color LIFE Sound-game field. The additional thirty lines and columns are necessary for a game field-edge-near input of the microorganisms.

The two completely-number-results together multiplied yielded a storage-demand of 5830 bytes since a cell claims two bytes.

The further is for additional game field-information twice the lines-number (here: 53), and twice the columns-number (here: 55), to cover.

Consequently, a dynamic storage-demand emerges altogether after the start of Color LIFE Sound of 6046 bytes.

2.with the same window-size however a cell-diameter of 5 pixels without gap, a storage-demand emerges after the above calculation of 31438 bytes.

3.the busy game field of a generation, that is bigger than the Color LIFE Sound-window, includes 800 lines and columns.

Hereby, 1280000 bytes are required for a game field.
The entire storage-demand amounts to 1283200 bytes.

If a memory-demand is not realizable, a message is passed out about this in what you are asked either to reduce the Color LIFE Sound-window to increase the cell-diameter or to close other applications. Color LIFE Sound can be continued with the still verifiable storage for the moment since a game field-expansion can amount to at most 2 lines and 2 columns per generation.

Is the storage-demand generally no longer available, that faulty-calculations at the game field-borders would be the consequence, the program-course is continued with the input of generation 0 and a cell-diameter of 16. This is enforced also with an enlargement of the Color LIFE Sound window and not sufficient storage for this since not assigned storage-areas can be selected on an input otherwise.


Generations...

Dialog-window Generations

Arithmetic-rule

choose the number of the cell-neighbors here with which the single generations calculates itself again.

The standard arithmetic-rule is

Leben2,3 Neue3

Hereby, already existing micro organisms survive with 2 or 3 neighbors and in empty-fields with 3 neighbors becomes new born.

All other micro organisms die and further empty-fields remain unchanged.

Keep an eye with your input on the pre-determined input-pattern.

When two digits become connected with a hyphen " - ", also all ciphers lying between both digits are selected. Hereby, you spare yourself input-work.

After a semicolon ";” you can equip the arithmetic-rules with a characteristic commentary. Usually, the particular look of the generations is described here.

Minimum-time

here, you can input the time-distance, that passes between the show of two generations at least.

The time-unit is 10 ms, i.e. an entry of 100 corresponds to a time-distance of a second.

Comment: The time for calculating the generations is not contained here. This does itself more strongly with a big incremental width noticeable, since the next generations are only calculated after course of the selected minimum-time. Hereby you have the advantage however as long as possible to plan alterations at the currently represented generation.

Incremental width

declare the distance of the to showing generations here:

an incremental width of 5 shows the generations 5,10,15... in the Color LIFE Sound-window one after the other.

Save . . .

hereby, the dialog-window "Save file as …" becomes additionally called with it the current arithmetic-rules can be stored into a file.

Select the path and name of the file to this. The file-type is standard ".RR" for arithmetic-rule.

Load . . .

hereby, the dialog-window "Open file …" is called additionally with it the arithmetic-rules from a file previously stored can be caught up again.


Shapes...

Dialog-window Shapes

Shapes

with the inputs of this dialog-window, you can shape a microorganism with different arithmetic-rules or can look for new, remarkable arithmetic-rules.

The change to the next arithmetic-rule takes place after a number of generations up to the run out after another number of generations. A new formation-course is begun after it with the last input-pattern of generation 0.

For Color LIFE Sound (2D), 512 possibilities emerge with eight possible cell-neighbors for “Lives 0-8”, for “New 1-8” 256 possibilities altogether 131072 possible arithmetic-rules.

For a new formation-course, you please go like follows:

the simplest is the input of a stored attitude from a file with the “Load”-Button in the shape-dialog-window or following points 1. until 6.

1. first choose the basis-arithmetic-rule from the Combo box list of the Generations dialog-window.

2. select the menu-point ”Generation 0 input !” from the Color LIFE-Menu.

3. input the start-pattern for all courses. The cell-inputs for this are valid only for generation 0 with an unchanged cell-diameter.

4. plan the further attitudes in the shape-dialog-window.

5. valid the formation-course with the ”activates”-Checkbox in the shape-dialog-window and leave the input-mode with the right mouse-button (F2-key).

6. The attitudes can be saved with the “Save”-button into a file.

Incremental widths for lives and new

Write down a value from 0 to 511 for „Lives“ please and for „New“ a value from 0 to 255. These values are added with the statement of a new arithmetic-rule to the existing values of lives and new.

Meaningful life-values for the figure of microorganisms should lie in the area from 0 to 4 and for the quest after new, prominent arithmetic-rules between 1 and 4.

For searches, the Checkmark ”random in this area”, is to be removed.

The value under new can be bigger and is first used for the statement of the new arithmetic-rule, if the Checkbox ”random in this area” is demarcated.

random in this area

if mark, new random values in the area of the incremental widths of “Lives” and “New” are generated, which are always added to the chosen basis arithmetic-rule.

If demarcate, the values of lives and new become added to the existing arithmetic-rule through what the new arithmetic-rule originates.

Generations for changes and end

the value under “Change” determines the incremental width of the generations, after which is changed to a new arithmetic-rule.

For a value of 50 for the calculation of the generations from 51, 101, 151, 201,... is used a new arithmetic-rule.

With the generation under “End”, the formation of the microorganism is finished and the course is continued with the start-pattern and a new arithmetic-rule.

For the quest after new arithmetic-rules, the value of end is to be put down like it of change.

Demand before generation 0

if mark, the program-course is interrupted by output of a notification-window before the last microorganism of the formation-course is shown.

activates

if this Checkbox is marked, Color LIFE Sound is continued with the formation-course. After the program-start, an interrupted course is continued.

from AR-List

if mark, the new arithmetic-rule is taken from the Combo box list of the Generations dialog-window.

To this, the values of the incremental widths of lives and new declare the Start- and End-values of the important arithmetic-rules in the Combo box list.

Comment: this course becomes only with a marked Checkbox ”activates” validly and is stored together with the current arithmetic-rule-file into a formation-file. Important: to find again the arithmetic-rule-file also after the program-start, it must be castoff in the "Rechnen"-directory below the directory of the program !

Save . . .

hereby, the dialog-window "Save file as …" becomes additionally called with it the current attitudes for the formation-course can be stored into a file.

Select the path and name of the file to this. The file-type is standard ".Gen" for German Gestalten.

Load . . .

hereby, the dialog-window "Open file …" is called additionally with it the formation-attitudes from a file previously stored can be caught up again.


Tone...

Dialog-window Tone

Output-concept

The listener is past-led by means of 3D-Tone at the sounds bumped into in the middle of a virtual area. On this occasion, the location in the depth is derived from the color-index of the cell of the output-picture.

If no cell exists, the listener can remain at his position or move itself into the area-middle, to the front, behind or at an optional position.

The size of the virtual sound-area is the window-size of Color LIFE Sound in xy-direction and in z-direction the vertical window-size in each case multiplies with an area-factor. The area-factor calculates itself from the value of the Edit field „Area size“(0 to 99) multiplies with area-size / 10 + 1 and can assume such a value from 0 to 1079.

The listener-position results in xy-direction from the cell-position and in z-direction from the color-index of the cell (0-255) multiplied with the area-depth and divided through the maximum color-index 255 again.

Important hint: the cell-color-index and consequently the z-position of the listener is not dependent on the selected color-palette but is only influenced beside the arithmetic-rule by the attitudes of the colors-dialog.

With the sound-output, you can select under six output-modes and the sound-bar is put in. Each output-mode normally includes the biggest common rectangle of the generation, can however also be restricted only on the cell-pattern.

Only the visible generation-share is moved after its calculation and output to the Color LIFE Sound window in listener-positions. This is valid also for a cell-diameter smaller than one.

The positions of the sounds and the listener are passed out into the Tone Graphics dialog-window. Hereby, the put in sound-bar decreases on the basis of the to this necessary output-time.

Comment: in order to avoid a sound-break after more than 256 calculated generations, the color-change should get a bigger value in the color dialog-window: two for up to 512 generations, three for up to 768 generations etc ! After it the generations must be calculated with a new cell-color-index again !

Start / Stop !

Starts the sound-output of the visible generation-share after the calculation and output to the window. A current sound-output is immediately finished.

Mode

from above

the cells of all generation-lines are worked off from above (only from the left to the right, not back).
from the left

the cells of the generation-columns become from the left (there downward and back upward) worked off.
from outside

with this mode, the sound of a generation is returned spiral-shaped from outside.
from below

the cells of all generation-lines become from below (there from the right to the left and back from the left to the right) worked off.
from the right

the cells of the generation-columns are worked off from the right (only from below, not back).
from interior

this mode returns the sound of a generation spiral-shaped from indoors .

Heed the output of the sound- and listener-position in the Tone Graphics dialog-window please to this.

only the Pattern

Without Checkmark, the biggest common rectangle of the generation is moved in sound-positions for the listener. On this occasion, also all fields of lines and columns without cells are taken into account.

If mark, the sounds are not passed out for the extensive rectangle of the generation but only from the first up to the last cell of each line and column.

With empty-lines and empty-columns, the listener is put on the sound-position for the last empty-field.

Bar

Here becomes put in like quickly the listener (you) is assigned a new position.

Change the Slider to this please in accordance with.

The resultant bar through the slider-step is dependent on the speed of the processor.

Empty-field-position

Determine your z-position for an empty-field here. An empty-field is a field within the generation with no cell. For “unchanged” remains you at the z-position of the last cell. „randomly“ chooses an area-depth optionally.

Area-size

Here, you choose the multiplier to the calculation of the area-positions of the sounds and the listener. A high value increases the area and it emerged Doppler-Effects. The allowable value is from zero until 99. Zero remains the sounds and the listener at the same position.


Sounds...

Dialog-window Sounds

Sounds

The twenty four sounds of the current sound-topic are selected here. The sounds become repetitive and simultaneously played.

Sound topic

To the selection stands the basis sound topic „Color LIFE“, two sound topics with musical and one with a colorful collection of sounds.

Volume

The volume of all sounds can be put in with the Track Bar. To this you must navigate with the arrow-buttons over the Checkboxes up to the wished sound and must enforce the attitude of the volume with the slider after it. With the Tab-key, you navigate to the sounds-checkboxes within the dialog-window.

Save...

hereby, the dialog-window "Save file as …” is additionally called over that the current sound-attitudes and the last formation-data can become stored into a file.

Input the path and names of the file to this. The file-type is standard “.Klg" for German Klang.

Load...

hereby, the dialog-window "Open file …" is called additionally over that the sound-attitudes with the last formation-data can be caught up from a stored file again.

Heed with the included sound-files please that the bar depends of the processor-speed and is consequently different on each PC.


Graphics...

Dialog-window Graphics

Output-mode

choose the representation-type of the generations in the Color LIFE Sound-window of Windows here:

Cell-form

the individual cells are spent separately of each other in the current cell-size as circles.
Line-form

here is spent the microorganism in pixel-size. The existing neighbor-cells are interlinked by a line with each microorganism.
both Modes

of the left window-half is represented the generations in cell-form and in the right half in line-form.

Direct graphic

the graphic-output can be planned by Color LIFE Sound over the Graphics Device interface (GDI) or with direct graphic (DirectDraw) more directly to the graphic-card.

Comments:

If problems should especially appear with the representation of the generations in line-form or with pixel-size, you please use the GDI (Checkbox doesn't mark).

With a cell-diameter of two, rectangles are passed out for the cells.

Speed-being-penances are possible with older graphic-cards, with those software the direct graphic enforces (emulation).

Background

white, green, brightly-gray, black, blue, orange, red, brown

choose the wished color of the background for the representation of the generations here. Hereby, also a new color-palette for the cells is validly that with the background harmonized.
self-defined

when marked, that from you in the palette-dialog-window produced color-palette is valid.

Nearer hints to producing your color-palette get you over the help-button of the palette-dialog-window or over the content-button of the help-application.

Cell-size

input the wished diameter of the cell in the Edit-control in pixel-values of the screen. One to thirty pixels are allowed. With marked Checkbox „< 1“ minus 10 to thirty (see smaller one).

Comment: A fast alteration of the cell-size is made possible with the digit-buttons 0 to 9 with what zero restores the input-diameter of Generation 0.

variable

if marked, Color LIFE Sound varies the cell-size going out from the current diameter independently. Guideline on this occasion is that all cells of a generation can be represented in the window. The variable diameter of the microorganism goes from one to sixteen. If the Checkbox „< 1“ is marked from minus ten to sixteen (see smaller one).

The marking-field is demarcated automatically with a valid retyping of the cell-size and is marked with each input of generation 0.

decimal (* 10)

With a decimal cell-diameter smaller than three pixels, also partially or quite covered cells are taken with the output into account.

On this occasion is shown the cell-color as median value of the palette-indexes of all involved cells.

With a decimal cell-diameter more exact than a pixel, no cell-input is admitted because of lacking assignment.

Comment: with a cell-diameter bigger than 1/2 pixels are not shown only partially visible empty-fields with a neighbor-cell. Hereby is especially avoided wrong representations of the generations with simple patterns.

Without the decimal cell-diameters, the representation of the generations takes place with cell-sizes smaller than a pixel through omitting cell-lines and -columns . With a cell-size of 1/2 pixels becomes only each 2. cell-line and -column visible, with 1/3 only each 3. etc..
On this reason the generations are represented considerably falsified, dependent on the pattern.

smaller one (< 1)

if marked, Color LIFE Sound can show the generation also with cell-sizes smaller than a pixel.

The values are written down as negative numbers into the Edit-control: -2 for 1/2, -3 for 1/3,... until -10 for 1/10.


Colors...

Dialog-window Colors

Mode

choose the color-representation-type of the generations here:

Cell-age

the cell-color changes with the age of the cell.
Generation

the cell-color is dependent from the generation in which she originate.

A new mode changes the listener-position of a sound-output.

Comment

Number

declare the number of the colors to the representation of the generations here:

with up to 16 colors are used only basis-colors. With more than 16 colors, the basis-colors are put in with their first shades.

If the selected color-number is reached, is changed to the first color again.

With the first standard arithmetic-rules, the color-number is to be restricted for a colorful representation of the generations on the 16 basis-colors.

The color-number influences the sound-output:

a more inferior color-number leads to a faster change of the listener-position. On this occasion a sound-break occurs if more generations than existing colors were calculated.

Median value

if marked, overlaid cells are represented with a decimal diameter smaller than three pixels by the median values of their colors. Hereby is represented the generation with colors, that lie outside the chosen palette.

If unmarked, the cell-colors are determined over the median value of the palette-indexes.

Both representations have only influence on decimal cell-diameters, if these are more exact than a pixel.

Changes

declares the number of the generations, after which the cells are shown in the next color of the current palette.

To the representation of complex patterns, you should input a value here bigger than one: for butterfly-patterns with 1000 generations, a value of four yields a good representation.

A bigger value delays a sound-break with a sound-output.

Comment


Palette...

Dialog-window Palette

Color-fields with background-color

The color-fields show the basic-colors or 16 palette-colors above the background-color. A selection can take place only with the mouse-pointer.

Basis-colors

The 16 basis-colors of the current color-palette are shown in the color-fields.

All further colors of the palette are derived from these basis-colors over the put in RGB- incremental width.

If the Color dialog checkbox is marked, additionally the color dialog of Windows is opened to the comfortable selection of the basis-colors of the palette.

With an again activity, “RGB-incremental width” changes to "Basis Color-value 1” and the color-value of the first basis-color can be changed in the RGB-Edit-control.

If the mouse-pointer is pressed over a color-field, further basis-colors or the background-color can be entered.

Hint !

only the first (Basis-color)

if mark, only the first basis-color is consulted for the investigation of the shades of the myself-defined palette. Hereby, a soft color-picture is generated with mild transitions to the representation of the generations.

Hint !

continuously

if mark, the Basis-colors are changed after each generation-calculation about the current RGB-incremental width. Is „only the first“ Checkbox marks, only the first Basis-color is calculated again.

Changes of the RGB-incremental width after the marking of the checkmark, has only effects on the incremental widths of the 15 shade-values of each basis-color, influences the alteration-incremental widths of the basis-colors themselves however no longer.

With a game-pause, the new colors are calculated for the current generation continuously again and are shown.

Hint !

Windows Color-dialog

if mark, the color-dialog-window of Windows is opened for basis-colors, background and palette on activity of the buttons to the comfortable selection of the palette-colors additionally.

Background Color

"RGB-incremental width" changes to "Background Color-value". The background-color can be changed in the Edit-controls.

In the color-fields, the basis-colors are shown over the background-color.

If the Color dialog-checkbox is marked, the color-dialogue-window from Windows to the selection of the background-color is additionally opened.

Hint !

RGB-incremental width

determines the incremental widths with it the shade-values of the myself-defined color-palette of the basis-colors are derived again (-17 to 17).

You can input separately here the values for red, green and blue from a color composes itself.

A big incremental width leads to strong changes of the derivative color-values of the basis-colors.

Hint !

Palette-colors

"Basis-colors" changes to "Palette-colors 1 - 16" and "RGB-incremental width" to "palette-color-value 1".

In the color-fields are shown the first 16 colors of the current color-palette with a basis-color and the shades derivative by it.

In the RGB-Edit-controls can be changed each palette-color individually.

On each further activity of the palette-button are shown the next 16 colors of the palette in the color-fields.

If the Color dialog-Checkbox is marked, the color-dialog-window of Windows to the comfortable selection of the current 16 palette-colors opened additionally.

Hint !

Save . . .

For saving of the myself-defined palette, the dialog-window "Save file as…" becomes additionally called.

Select the path and names of the file to this. The file type is standard “.PAL " for palette.

Load . . .

For catching up a color-palette, the dialog-window "Open file...” is additionally
called.

After the loading, the myself-defined palette of the Graphic-dialog-box is automatically selected.


Windows colors dialog...

Color-dialog from Windows

Basis-colors

the colors represented in the dialog-window are the sixteen basis-colors of the color-palette from those over the put in incremental width further fifteen colors become derived.

The group of the custom colors has following meaning for the game-course of Color LIFE Sound on this occasion (from the left to the right in the upper row incipient - after it from the left to the right in the low row):

1. Basis-color for the cells with an age of 0 to 15 generations (color-mode: Cell-age), as well as for generation 0 to 15 (color-mode: Generation)

2. Basis-color for the cells with an age of 16 to 31 generations (color-mode: Cell-age), as well as for generation 16 to 31 (color-mode: Generation)

3. Basis-color for the cells with an age of 32 to 47 generations (color-mode: Cell-age), as well as for generation 32 to 47 (color-mode: Generation)

4. Basis-color for the cells with an age of 48 to 63 generations (color-mode: Cell-age), as well as for generation 48 to 63 (color-mode: Generation)

5. Basis-color for the cells with an age of 64 to 79 generations (color-mode: Cell-age), as well as for generation 64 to 79 (color-mode: Generation)

6. Basis-color for the cells with an age of 80 to 95 generations (color-mode: Cell-age), as well as for generation 80 to 95 (color-mode: Generation)

7. Basis-color for the cells with an age of 96 to 111 generations (color-mode: Cell-age), as well as for generation 96 to 111 (color-mode: Generation)

8. Basis-color for the cells with an age of 112 to 127 generations (color-mode: Cell-age), as well as for generation 112 to 127 (color-mode: Generation)

9. Basis-color for the cells with an age of 128 to 143 generations (color-mode: Cell-age), as well as for generation 128 to 143 (color-mode: Generation)

10. Basis-color for the cells with an age of 144 to 159 generations (color-mode: Cell-age), as well as for generation 144 to 159 (color-mode: Generation)

11. Basis-color for the cells with an age of 160 to 175 generations (color-mode: Cell-age), as well as for generation 160 to 175 (color-mode: Generation)

12. Basis-color for the cells with an age of 176 to 191 generations (color-mode: Cell-age), as well as for generation 176 to 191 (color-mode: Generation)

13. Basis-color for the cells with an age of 192 to 207 generations (color-mode: Cell-age), as well as for generation 192 to 207 (color-mode: Generation)

14. Basis-color for the cells with an age of 208 to 223 generations (color-mode: Cell-age), as well as for generation 208 to 223 (color-mode: Generation)

15. Basis-color for the cells with an age of 224 to 239 generations (color-mode: Cell-age), as well as for generation 224 to 239 (color-mode: Generation)

16. Basis-color for the cells with an age of 240 to 255 generations (color-mode: Cell-age), as well as for generation 240 to 255 (color-mode: Generation)

Background

the color left-above in the group of the custom colors is intended for the background. Choose here preferably a simple color, that not yet as basis-color or as derivative color occurs from it.

Palette

the in the sixteen consecutive dialog-windows represented colors form the color-palette to the representation of the cells.

The group of the custom colors has following meaning for the game-course of Color LIFE Sound on this occasion (from the left to the right in the upper row incipient - after it from the left to the right in the low row):

1. Basis-color and from it derivative colors for the cells with an age of 0 to 15 generations (color-mode: Cell-age), as well as for generation 0 to 15 (color-mode Generation).

2. Basis-color and from it derivative colors for the cells with an age of 16 to 31 generations (color-mode: Cell-age), as well as for generation 16 to 31 (color-mode Generation).

3. Basis-color and from it derivative colors for the cells with an age of 32 to 47 generations (color-mode: Cell-age), as well as for generation 32 to 47 (color-mode Generation).

4. Basis-color and from it derivative colors for the cells with an age of 48 to 63 generations (color-mode: Cell-age), as well as for generation 48 to 63 (color-mode Generation).

5. Basis-color and from it derivative colors for the cells with an age of 64 to 79 generations (color-mode: Cell-age), as well as for generation 64 to 79 (color-mode Generation).

6. Basis-color and from it derivative colors for the cells with an age of 80 to 95 generations (color-mode: Cell-age), as well as for generation 80 to 95 (color-mode Generation).

7. Basis-color and from it derivative colors for the cells with an age of 96 to 111 generations (color-mode: Cell-age), as well as for generation 96 to 111 (color-mode Generation).

8. Basis-color and from it derivative colors for the cells with an age of 112 to 127 generations (color-mode: Cell-age), as well as for generation 112 to 127 (color-mode Generation).

9. Basis-color and from it derivative colors for the cells with an age of 128 to 143 generations (color-mode: Cell-age), as well as for generation 128 to 143 (color-mode Generation).

10. Basis-color and from it derivative colors for the cells with an age of 144 to 159 generations (color-mode: Cell-age), as well as for generation 144 to 159 (color-mode Generation).

11. Basis-color and from it derivative colors for the cells with an age of 160 to 175 generations (color-mode: Cell-age), as well as for generation 160 to 175 (color-mode Generation).

12. Basis-color and from it derivative colors for the cells with an age of 176 to 191 generations (color-mode: Cell-age), as well as for generation 176 to 191 (color-mode Generation).

13. Basis-color and from it derivative colors for the cells with an age of 192 to 207 generations (color-mode: Cell-age), as well as for generation 192 to 207 (color-mode Generation).

14. Basis-color and from it derivative colors for the cells with an age of 208 to 223 generations (color-mode: Cell-age), as well as for generation 208 to 223 (color-mode Generation).

15. Basis-color and from it derivative colors for the cells with an age of 224 to 239 generations (color-mode: Cell-age), as well as for generation 224 to 239 (color-mode Generation).

16. Basis-color and from it derivative colors for the cells with an age of 240 to 255 generations (color-mode: Cell-age), as well as for generation 240 to 255 (color-mode Generation).

Color-Input

1. choose the color that you would like to alter from the group of the custom colors:

click with the mouse on the color directly or
move with the enter key of the keyboard the framework of the selected element (input-focus) into the group of the custom colors. In this group, you select the color to be changed with the cursor-buttons.

2. select the new color:

click with the mouse on one of the basis-colors or on one of the colors in the color-spectrum at the right side of the dialog-window or
move the input-focus with the keyboard like above described on one of the basis-colors and select these through activity of the blank-key or give numbers into the edit controls on the right side of the dialog-window.

3. insert the color into the group of the custom colors:

click with the mouse on the button "add color” or
move the input-focus with the enter key on the button "add color” and press the blank key or the enter key.

4. repeat the points 1. until 3. in order to select other colors.

5. give the selected colors through activity of the "OK"-button validly or discard your previous alterations through activity of the "Cancel"-button.

The activity of the "Cancel"-button finishes also a sequence of several color-dialog-windows without discarding therefore alterations at gone ahead dialog-windows.

Windows colors dialog...


Tone Graphics...

Dialog-window Tone Graphics

Tone Graphics

With tone graphics, the generation is passed out to the Display cell for cell directly.

To this you can change the output-mode and also the speed with the attitudes on the Tone dialog-side.

On

Turns on the tone graphics to a current tone-output.
If no sound is selected, the tone graphics is passed out very quickly.
Empty-field

In the tone-pattern for cell-sizes bigger or equal like three becomes shown for empty-fields a point (pixel).
SetPixel

With problems with the pixel-output directly to the display, can be selected also an output with the PatBlt-command here.

Comment: the tone graphics is not enforced with direct graphic, even if the checkbox is marked on the Graphics dialog-side.

Sounds

In the X-, Y- and Z-output-windows the position of all selected sounds is passed out.

The sounds are played in the middle of the virtual sound-area.

Listeners

In the X-, Y- and Z-output-windows the listener-position is passed out for the current generation-field.

The color-index of the cell determines the z-position of the listener.

see also Output-concept


.topic 521
Arithmetic-rule

choose the number of the cell-neighbors here with which the single generations calculates itself again.

The standard arithmetic-rule is

                    Leben2,3 Neue3

Hereby, already existing microorganisms survive with 2 or 3 neighbors and in empty-fields with 3 neighbors becomes new born.

All other microorganisms die and further empty-fields remain unchanged.

Keep an eye with your input on the pre-determined input-pattern.

When two digits become connected with a hyphen " - ", also all ciphers lying between both digits are selected. Hereby, you spare yourself input-work.

After a semicolon ";” you can equip the arithmetic-rules with a characteristic commentary. Usually, the particular look of the generations is described here.

.topic 522
Minimum-time

here, you can input the time-distance, that passes between the show of two generations at least.

The time-unit is 10 ms, i.e. an entry of 100 corresponds to a time-distance of a second.

.topic 523
Incremental width

declare the distance of the to showing generations here:
an incremental width of 5 shows the generations 5,10,15... in the Color LIFE sound-window one after the other.

.topic 524
Save . . .

hereby, the dialog-window "Save file as …" becomes additionally called with it the current arithmetic-rules can be stored into a file.

Select the path and name of the file to this. The file-type is standard ".RR" for arithmetic-rule.

.topic 525
Load . . .

hereby, the dialog-window "Open file …" is called additionally with it the arithmetic-rules from a file previously stored can be caught up again.

.topic 530
Shapes

with the inputs of this dialog-window, you can shape a microorganism with different arithmetic-rules or can look for new, remarkable arithmetic-rules.

The change to the next arithmetic-rule takes place after a number of generations up to the run out after another number of generations.  A new formation-course is begun after it with the last input-pattern of generation 0.

For Color LIFE sound (2D), 512 possibilities emerge with eight possible cell-neighbors for “Lives 0-8”, for “New 1-8” 256 possibilities altogether 131072 possible arithmetic-rules.

For a new formation-course, you please go like follows:

the simplest is the input of a stored attitude from a file with the “Load”-Button in the shape-dialog-window or following points 1. until 6.

1. first choose the basis arithmetic-rule from the Combobox list of the generations dialog-window.

2. select the menu-point ”Generation 0 input !” from the Color LIFE-Menu.

3. input the start-pattern for all courses. The cell-inputs for this are valid only for generation 0 with an unchanged cell-diameter.

4. plan the further attitudes in the shape dialog-window.

5. valid the formation-course with the ”activates”-Checkbox in the shape dialog-window and leave the input-mode with the right mouse-button (F2-key).

6. The attitudes can be saved with the “Save”-button into a file.

.topic 531
Incremental widths for lives and new

Write down a value from 0 to 511 for „Lives“ please and for „New“ a value from 0 to 255. These values are added with the statement of a new arithmetic-rule to the existing values of lives and new.

Meaningful life-values for the figure of microorganisms should lie in the area from 0 to 4 and for the quest after new, prominent arithmetic-rules between 1 and 4.

For searches, the Checkmark ”random in this area”, is to be removed.

The value under new can be bigger and is first used for the statement of the new arithmetic-rule, if the Checkbox ” random in this area” is demarcated.

.topic 532
Incremental widths for lives and new

Write down a value from 0 to 511 for „Lives“ please and for „New“ a value from 0 to 255. These values are added with the statement of a new arithmetic-rule to the existing values of lives and new.

Meaningful life-values for the figure of microorganisms should lie in the area from 0 to 4 and for the quest after new, prominent arithmetic-rules between 1 and 4.

For searches, the Checkmark ”random in this area”, is to be removed.

The value under new can be bigger and is first used for the statement of the new arithmetic-rule, if the Checkbox ” random in this area” is demarcated.

.topic 533
random in this area

if mark, new random values in the area of the incremental widths of “Lives” and “New” are generated, which are always added to the chosen basis arithmetic-rule.

If demarcate, the values of Lives and New become added to the existing arithmetic-rule through what the new arithmetic-rule originates.

.topic 535
Generations for changes and end

the value under “Changes” determines the incremental width of the generations, after which is changed to a new arithmetic-rule.

For a value of 50 for the calculation of the generations from 51, 101, 151, 201,... is used a new arithmetic-rule.

With the generation under “End”, the formation of the microorganism is finished and the course is continued with the start-pattern and a new arithmetic-rule.

For the quest after new arithmetic-rules, the value of end is to be put down like it of change.

.topic 536
Generations for changes and end

the value under “Changes” determines the incremental width of the generations, after which is changed to a new arithmetic-rule.

For a value of 50 for the calculation of the generations from 51, 101, 151, 201,... is used a new arithmetic-rule.

With the generation under “End”, the formation of the microorganism is finished and the course is continued with the start-pattern and a new arithmetic-rule.

For the quest after new arithmetic-rules, the value of end is to be put down like it of change.

.topic 537
Demand before generation 0

if mark, the program-course is interrupted by output of a notification-window before the last microorganism of the formation-course is shown.

.topic 538
activates

if this Checkbox is marked, Color LIFE sound is continued with the formation-course. After the program-start, an interrupted course is continued.

.topic 539
from RR-List

if mark, the new arithmetic-rule is taken from the Comboboxlist of the generations dialog-window.

To this, the values of the incremental widths of lives and new declare the start- and End-values of the important arithmetic-rules in the Comboboxlist.

.topic 545
Save . . .

hereby, the dialog-window "Save file as …" becomes additionally called with it the current attitudes for the formation-course can be stored into a file.

Select the path and name of the file to this. The file-type is standard ".Gen” for German Gestalten.

.topic 546
Load . . .

hereby, the dialog-window "Open file …" is called additionally with it the formation-attitudes from a file previously stored can be caught up again.

.topic 621
Start / Stop !

Starts the sound-output of the visible generation-share after the calculation and output to the window. A current sound-output is immediately finished.

.topic 625
Mode

- from above

the cells of all generation-lines are worked off from above (only from the left to the right, not back).

- from the left

the cells of the generation-columns become worked off from the left (towards downward and back upward).

- from outside

with this mode, the sound of a generation is returned spiral-shaped from outside.

- from below

the cells of all generation-lines become worked off from below (towards to the left, back to the right).

- from the right

the cells of the generation-columns are worked off from the right (only from below, not back).

- from interior

this mode returns the sound of a generation spiral-shaped from indoors .

Heed the output of the sound- and listener-position in the Tone-Graphics dialog-window please to this.

.topic 622
only the Pattern

Without Checkmark, the biggest common rectangle of the generation is moved in sound-positions for the listener. On this occasion, also all fields of lines and columns without cells are taken into account.

If mark, the sounds are not passed out for the extensive rectangle of the generation but only from the first up to the last cell of each line and column.

With empty-lines and empty-columns, the listener is put on the sound-position for the last empty-field.

.topic 623
Bar

Here becomes put in like quickly the listener (you) is assigned a new position.

Change the Slider to this please in accordance with.

The resultant bar through the slider-step is dependent on the speed of the processor.

.topic 627
Empty-field position

Determine your z-position for an empty-field here. An empty-field is a field within the generation with no cell. For “unchanged” remains you at the z-position of the last cell. „randomly“ chooses an area-depth optionally.

.topic 622
Area-size

Here, you choose the multiplier to the calculation of the area-positions of the sounds and the listener. A high value increases the area and it emerged Doppler-Effects. The allowable value is from zero until 99. Zero remains the sounds and the listener at the same position.

.topic 628
Sounds

The 24 sounds of the current sound-topic are selected here. The sounds become repetitive and simultaneously played.

.topic 626
Sound-topic

To the selection stands the basis-sound-topic „Color LIFE“, two sound-topics with musical and one with a colorful collection of sounds.

Each of these four topics contains 24 sounds.

.topic 629
Volume

The volume of all sounds can be put in with the Track Bar. To this you must navigate with the arrow-buttons over the Checkboxes up to the wished sound and must enforce the attitude of the volume with the slider after it. With the Tab-key, you navigate to the sounds-Checkboxes within the dialog-window.

.topic 620
Save...

hereby, the dialog-window "Save file as …” is additionally called over that the current sound-attitudes and the last formation-data can become stored into a file.

Input the path and names of the file to this. The file-type is standard “.Klg" for German Klang.

.topic 621
Load...

hereby, the dialog-window "Open file …" is called additionally over that the sound-attitudes with the formation-data can be caught up from a stored file again.

Heed with the included sound-files please that the bar depends of the processor-speed and is consequently different on each PC.

.topic 511
choose the representation-type of the generations in the Color LIFE sound-window here:

- Cell-form

the individual cells are spent separately of each other in the current cell-size as circles.

- Line-form

here is spent the microorganism in pixel-size. The existing neighbor-cells are interlinked by a line with each microorganism.

- both Modes

of the left window-half is represented the generations in cell-form and in the right half in line-form.

.topic 513
Direct graphic

the graphic-output can be planned by Color LIFE Sound over the Graphics Device interface (GDI) or with direct graphic (DirectDraw) more directly to the graphic-card.

.topic 514
Background

- white, green, brightly-gray, black, blue, orange, red, brown

choose the wished color of the background for the representation of the generations here. Hereby, also a new color-palette for the cells is validly that with the background harmonized.

- self-defined

when marked, that from you in the palette-dialog-window produced color-palette is valid.

Nearer hints to producing your color-palette get you over the help-button of the palette dialog-window or over the content-button of the help-application.

.topic 515
Cell-size

input the wished diameter of the cell in the Edit-control in pixel-values of the screen. One to thirty pixels are allowed. With marked Checkbox „< 1“ minus 10 to thirty (see smaller one).

Comment: A fast alteration of the cell-size is made possible with the digit-buttons 0 to 9 with what zero restores the input-diameter of Generation 0.

.topic 516
variable

if marked, Color LIFE Sound varies the cell-size going out from the current diameter independently. Guideline on this occasion is that all cells of a generation can be represented in the window. The variable diameter of the microorganism goes from one to sixteen. If the Checkbox „< 1“ is marked from minus ten to sixteen (see smaller one).

The marking-field is demarcated automatically with a valid retyping of the cell-size and is marked with each input of generation 0.

.topic 518
decimal (* 10)

With a decimal cell-diameter smaller than three pixels, also partially or quite covered cells are taken with the output into account.

On this occasion is shown the cell-color as median value of the palette-indexes of all involved cells.

With a decimal cell-diameter more exact than a pixel, no cell-input is admitted because of lacking assignment.

.topic 517
smaller one (< 1)

if marked, Color LIFE Sound can show the generation also with cell-sizes smaller than a pixel.

The values are written down as negative numbers into the Edit-control: -2 for 1/2, -3 for 1/3,... until -10 for 1/10.

.topic 551
Mode

choose the color-representation-type of the generations here:

- Cell-age

the cell-color changes with the age of the cell.

- Generation

the cell-color is dependent from the generation in which she originate.

A new mode changes the listener-position of a sound-output.

.topic 553
Number

declare the number of the colors to the representation of the generations here:

with up to 16 colors are used only basis-colors. With more than 16 colors, the basis-colors are put in with their first shades.

If the selected color-number is reached, is changed to the first color again.

With the first standard arithmetic-rules, the color-number is to be restricted for a colorful representation of the generations on the 16 basis-colors.

The color-number influences the sound-output:

a more inferior color-number leads to a faster change of the listener-position. On this occasion a sound-break occurs if more generations than existing colors were calculated.

.topic 554
Median value

if marked, overlaid cells are represented with a decimal diameter smaller than three pixels by the median values of their colors. Hereby is represented the generation with colors, that lie outside the chosen palette.

If unmarked, the cell-colors are determined over the median value of the palette-indexes.

Both representations have only influence on decimal cell-diameters, if these are more exact than a pixel.

.topic 552
Changes

declares the number of the generations, after which the cells are shown in the next color of the current palette.

To the representation of complex patterns, you should input a value here bigger than one: for butterfly-patterns with 1000 generations, a value of four yields a good representation.

A bigger value delays a sound-break with a sound-output.

.topic 580
Color-fields with background-color

The color-fields show the basic-colors or 16 palette-colors above the background-color.

.topic 572
Basis-colors ...

The 16 basis-colors of the current color-palette are shown in the color-fields.

All further colors of the palette are derived from these basis-colors over the put in RGB- incremental width.

If the Color dialog checkbox is marked, additionally the color dialog of Windows is opened to the comfortable selection of the basis-colors of the palette.

With an again activity, “RGB-incremental width” changes to "Basis Color-value 1” and the color-value of the first basis-color can be changed in the RGB-Edit-control.

If the mouse-pointer is pressed over a color-field, further basis-colors or the background-color can be entered.

.topic 573
only the first (Basis-color)

if mark, only the first basis-color is consulted for the investigation of the shades of the myself-defined palette.  Hereby, a soft color-picture is generated with mild transitions to the representation of the generations.

.topic 574
continuously

if mark, the Basis-colors are changed after each generation-calculation about the current RGB-incremental width. Is „only the first“ Checkbox marks, only the first Basis-color is calculated again.

Changes of the RGB-incremental width after the marking of the checkmark, has only effects on the incremental widths of the 15 shade-values of each basis-color, influences the alteration-incremental widths of the basis-colors themselves however no longer.

With a game-pause, the new colors are calculated for the current generation continuously again and are shown.

.topic 575
Color-dialog

if mark, the color dialog-window of Windows is opened for basis-colors, background and palette on activity of the buttons to the comfortable selection of the palette-colors additionally.

.topic 571
Background...

"RGB-incremental width" changes to "Background Color-value". The background-color can be changed in the Edit-controls.

In the color-fields, the basis-colors are shown over the background-color.

If the Color dialog-checkbox is marked, the color dialogue-window from Windows to the selection of the background-color is additionally opened.

.topic 576
RGB-incremental width

determines the incremental widths with it the shade-values of the myself-defined color-palette of the basis-colors are derived again (-17 to 17).

You can input separately here the values for red, green and blue from a color composes itself.

A big incremental width leads to strong changes of the derivative color-values of the basis-colors.

.topic 577
Palette ...

"Basis-colors" changes to "Palette-colors 1 - 16" and "RGB-incremental width" to "palette-color-value 1".

In the color-fields are shown the first 16 colors of the current color-palette with a basis-color and the shades derivative by it.

In the RGB-Edit-controls can be changed each palette-color individually.

On each further activity of the palette-button are shown the next 16 colors of the palette in the color-fields.

If the Color dialog-Checkbox is marked, the color dialog-window of Windows to the comfortable selection of the current 16  palette-colors opened additionally.

.topic 578
Save . . .

For saving of the myself-defined palette, the dialog-window "Save file as…" becomes additionally called.

Select the path and names of the file to this. The file type is standard “.PAL" for palette.

.topic 579
Load . . .

For catching up a color-palette, the dialog-window "Open file...” is additionally
called.

After the loading, the myself-defined palette of the Graphic-dialogbox is automatically selected.

.topic 600
Tone Graphics

With tone graphics, the generation is passed out to the Display cell for cell directly.

To this you can change the output-mode and also the speed with the attitudes on the Tone dialog-side.

.topic 601
On

Turns on the tone graphics to a current tone-output.

If no sound is selected, the tone graphics is passed out very quickly.

.topic 602
Empty-field

In the tone-pattern for cell-sizes bigger or equal like three becomes shown for empty-fields a point (pixel).

.topic 603
SetPixel

With problems with the pixel-output directly to the display, can be selected also an output with the PatBlt-command here.

.topic 610
Sounds

In the X-, Y- and Z-output-windows the position of all current sounds is passed out.

The sounds are played in the middle of the virtual sound-area.

.topic 611
Listeners

In the X-, Y- and Z-output-windows the listener-position is passed out for the current generation-field.

The color-index of the cell determines the z-position of the listener.


Hint

the values of the currently selected palette replace them of the myself-defined palette of the graphic-dialog-box completely. After the selection, the myself-defined color-palette of the graphic-dialog-box is automatically selected.

Windows colors dialog...


Comment

a changed selection only becomes effectively for the next generations and divides the appearance of an itself developing microorganism !

up